Page MenuHomePhabricator

[clang-tidy] Improve bugprone-unused-return-value check
ClosedPublic

Authored by khuttun on Apr 20 2018, 11:02 AM.

Details

Summary

Add support for checking class template member functions.

Also add the following functions to be checked by default:

  • std::unique_ptr::release
  • std::basic_string::empty
  • std::vector::empty

Diff Detail

Event Timeline

khuttun created this revision.Apr 20 2018, 11:02 AM
Eugene.Zelenko added a project: Restricted Project.
This revision is now accepted and ready to land.Apr 23 2018, 12:26 AM

Could someone help getting this merged? I don't have commit access to the repo.

jbcoe added a subscriber: jbcoe.Apr 24 2018, 11:48 AM

I can merge this for you. Congratulations on the commit!

This revision was automatically updated to reflect the committed changes.